<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:p="http://primefaces.org/ui"
                template="/WEB-INF/templates/AnonymousTemplate.xhtml">

    <ui:define name="pageName">Inicio al sistema</ui:define>

    <ui:define name="contentPart">
        <h:form id="loginForm" prependId="false">

            <p:growl id="msg" />

            <div style="width:450px; margin-left: auto; margin-right: auto; margin-top: 70px;">
                <p:panel header="Cuenta de acceso">

                    <h:panelGrid columns="2">

                        <p:outputLabel for="usr" value="#{translatedMessage['login.username']}" />
                        <p:inputText
                            id="usr"
                            value="#{loginMB.usr}"
                            autocomplete="false"
                            label="Usuario" 
                            styleClass="loginEntry"
                            required="true"
                            requiredMessage="El usuario es requerido"
                            maxlength="50"/>

                        <p:outputLabel for="pwd" value="#{translatedMessage['login.password']}" />
                        <p:password
                            id="pwd" 
                            value="#{loginMB.pwd}"
                            label="Clave"
                            styleClass="loginEntry"
                            feedback="false"
                            required="true"
                            autocomplete="false"
                            requiredMessage="La contraseña es requerida"
                            maxlength="50"/>
                    </h:panelGrid>

                    <h:panelGrid columns="1" rendered="false">
                        <h:panelGroup>
                            <h:outputText value="#{translatedMessage['login.rememberMe']}" />
                            <h:selectBooleanCheckbox id="_spring_security_remember_me" />
                        </h:panelGroup>
                    </h:panelGrid>

                    <br/>
                    <br/>
                    <p:commandButton
                        id="loginButtonId"
                        actionListener="#{loginMB.login}"
                        update="loginForm"
                        oncomplete="navegate(xhr, status, args, '#{request.contextPath}#{commonDataMB.defaultTargetUrl}');"
                        value="#{translatedMessage['login.loginButton']}" />

                     <p:commandButton id="visible1"  
                                      value="visible"
                                      onchange="PF('dlgSesionEx').show()"                                    
                                      style="display: none"/>   
                     
                     
                </p:panel>

                <div style="font-size: 8pt">
                    <br/>
                    <br/>
                    <br/>

                    <p>* Los datos son obligatorios</p>
                </div>
            </div>

        </h:form>
        <p:dialog widgetVar="dlgSesionEx" modal="true" appendTo="@(body)" closable="false" draggable="false" resizable="false">
            <p:outputPanel> 

                <h:form id="sesionEx">
                    <div align="left">
                        <p:outputLabel  value="Su sesi&oacute;n expir&oacute; "   style="font-size: 150%;"/> 

                    </div>
                    <br></br>
                    
                    <div align="center">
                        <h:panelGrid columns="2">

                            <p:commandButton id="Aceptar" 
                                             value="Aceptar"
                                             onclick="PF('dlgSesionEx').hide()" onsuccess="banderaOff()">
                            </p:commandButton>

                           
                        </h:panelGrid>
                    </div>
                </h:form>

            </p:outputPanel>
        </p:dialog>
        

        <script>
 
            if (window.localStorage) {
                console.log(window.localStorage['sessionExpirada']);
                if (window.localStorage['sessionExpirada'] === 'true') {
              jQuery(document).ready(function($) {

	$(PrimeFaces.escapeClientId('visible1')).change();

   });
   

                    console.log("HOLAAAAAAAAAAA");
                }
            };

            function banderaOff() {
                window.localStorage['sessionExpirada'] = false;

            };
                                              
        </script>
    </ui:define>

</ui:composition>